$desktop: 1440px;

:root {
	// responsive
	--mobile: 375px;
	--desktop: 1440px;

	// colors
	--primary: linear-gradient(to right, hsl(6, 100%, 80%), hsl(335, 100%, 65%));
	--pale-blue: hsl(243, 100%, 93%);
	--grayish-blue: hsl(229, 7%, 55%);
	--dark-blue: hsl(228, 56%, 26%);
	--very-dark-blue: hsl(229, 57%, 11%);

	// typography
	--font-size-html: 62.5%;
	--font-size-body: 1.4rem;
	--font-family: 'Raleway', sans-serif;
	--font-weight-light: 400;
	--font-weight-bold: 700;
}

@mixin desktop {
	@media (min-width: $desktop) {
		@content;
	}
}

* {
	margin: 0;
	padding: 0;
	box-sizing: border-box;
}

html {
	font-size: var(--font-size-html);
}

body {
	font-family: var(--font-family);
	font-size: var(--font-size-body);
	font-weight: var(--font-weight-light);
}

.background {
	background: url(../images/bg-mobile.png) no-repeat, var(--very-dark-blue) no-repeat;
	background-position: bottom left, top right;
	background-size: 100% 100%, 100% 100%;
	height: 100vh;

	@include desktop {
		background: url(../images/bg-desktop.png) no-repeat, var(--very-dark-blue) no-repeat;
		background-position: bottom left, top right;
		background-size: 100% 52.5%, 100% 100%;
	}
}

.container {
	height: 100%;
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	padding: 0rem 2.5rem;

	@include desktop {
		flex-direction: row;
		padding: 0;
	}
}

// Actions part
.actions {
	background: var(--dark-blue);
	border-radius: 10px 100px 10px 10px;
	display: flex;
	flex-direction: column;
	justify-content: space-evenly;
	width: 100%;
	height: 20rem;
	margin-bottom: 1.5rem;
	padding-left: 4rem;
	box-shadow: 0px 5px 13px -7px #000000, 0px 0px 14px 10px rgba(0, 0, 0, 0);

	@include desktop {
		width: 35rem;
		height: 20rem;
		margin-bottom: 0;
		margin-right: 3rem;
	}

	&-icons {
		display: flex;
		flex-direction: row;
		justify-content: start;

		div {
			background: var(--very-dark-blue);
			height: 50px;
			width: 50px;
			margin-right: 1.5rem;
			position: relative;
			border-radius: 10px;

			img {
				position: absolute;
				top: 0;
				bottom: 0;
				left: 0;
				right: 0;
				margin: auto;
			}
		}
	}
}

// Storage part
.storage {
	position: relative;
	height: 16rem;
	background: var(--dark-blue);
	border-radius: 10px;
	padding: 3rem;
	display: flex;
	flex-direction: column;
	justify-content: flex-start;
	color: var(--pale-blue);
	width: 100%;
	margin-bottom: 3.5rem;
	box-shadow: 0px 5px 13px -7px #000000, 0px 0px 14px 10px rgba(0, 0, 0, 0);

	@include desktop {
		width: 55rem;
		height: 15rem;
		margin-bottom: 0;
		margin-top: 5rem;
	}

	> p {
		text-align: center;

		@include desktop {
			text-align: unset;
		}
	}

	&-used {
		font-weight: var(--font-weight-bold);
	}

	&-progress {
		height: 30px;
		width: 100%;
		border-radius: 20px;
		background: var(--very-dark-blue);
		padding: 5px 4px;
		margin-top: 1rem;

		&-used {
			height: 100%;
			width: 81.5%;
			border-radius: 10px;
			background: var(--primary);
			display: flex;
			justify-content: flex-end;
			padding: 2px;

			.cursor {
				height: 100%;
				width: 18px;
				border-radius: 50%;
				background: var(--pale-blue);
			}
		}
	}

	&-min-max {
		display: flex;
		justify-content: space-between;
		margin-top: 0.5rem;
	}

	&-info {
		position: absolute;
		bottom: calc(-70px / 2);
		left: calc(100% / 2 - (180px / 2));
		height: 70px;
		width: 180px;
		background: white;
		border-radius: 8px;
		display: flex;
		justify-content: center;
		align-items: center;

		@include desktop {
			top: calc(-70px / 2 - 1rem);
			right: 3rem;
			left: unset;

			&::after {
				content: '';
				position: absolute;
				height: 0;
				width: 0;
				bottom: -20px;
				right: 0;
				border-top: 50px solid white;
				border-left: 50px solid transparent;
			}
		}

		&-left-number {
			color: black;
			font-size: 4rem;
			font-weight: var(--font-weight-bold);
			margin-right: 0.2rem;
		}

		&-left-letter {
			color: var(--grayish-blue);
			font-weight: var(--font-weight-bold);
			letter-spacing: 0.1rem;
			margin-left: 0.2rem;
			font-size: 1.2rem;
		}
	}
}
